SelectSuggestionEvent (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.component.SelectSuggestionEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class SelectSuggestionEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.component.SelectSuggestionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class SelectSuggestionEvent

extends javax.faces.event.FacesEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SelectSuggestionEvent(javax.faces.component.UIComponent component)`

Method Summary
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectSuggestionEvent

    public SelectSuggestionEvent(javax.faces.component.UIComponent component)

Method Detail

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.